Skip to navigation

Get FeatureLibraryItem by ID

Get a single FeatureLibraryItem by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

feature_library_item_idstringRequired
ID of the FeatureLibraryItem.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
colorstringOptional
The color of the annotations generated by the Feature Library Item. Must be a valid hex string
createdAtstringOptional
DateTime the Feature Library Item was created
featureLibraryobjectOptional
The Feature Library the Feature Library Item belongs to
featureTypestring or nullOptional

The type of the Feature Library Item, like gene, promoter, etc. Note: This is an arbitrary string, not an enum

idstringOptional
matchTypeenumOptional

The match type of the Feature Library Item. Used to determine how auto-annotate matches are made

Allowed values:
modifiedAtstringOptional
DateTime the Feature Library Item was last modified
namestringOptional
The name of the Feature Library Item
patternstringOptional

The pattern used for matching during auto-annotation

Errors

400
Feature Library Item Get Request Bad Request Error
403
Feature Library Item Get Request Forbidden Error
404
Feature Library Item Get Request Not Found Error
429
Feature Library Item Get Request Too Many Requests Error
500
Feature Library Item Get Request Internal Server Error